<div class="movie-thumbnail-image-index text-center">
    <%= image_tag movie.image, alt: movie.title, class: "movie-image img-responsive" %>
    <div class="movie-showtime-info">
        <h4 id="<%= dom_id movie %>_title"><%= movie.title %></h4>
        <div class="showtime-index" id="<%= dom_id movie %>_showtimes">
            <% if showtimes.empty? %>
                <p>No showtimes scheduled today</p>
            <% else %>
                <h4>Showtimes</h4>
                <% showtimes.each do |showtime| %>
                    <% if showtime.movie == movie %>
                        <div class="col-xs-6">
                            <p>
                                <% if sold_out(showtime) %>
                                    <span class="sold-out-showtime">Sold Out</span>
                                <% elsif  DateTime.strptime(showtime.start_time.strftime("%H:%M %Y/%m/%d"), "%H:%M %Y/%m/%d").to_i < DateTime.strptime(Time.now.strftime("%H:%M %Y/%m/%d"), "%H:%M %Y/%m/%d").to_i%>
                                    <span class="sold-out-showtime"></span>
                                <% elsif  DateTime.strptime(showtime.start_time.strftime("%H:%M %Y/%m/%d"), "%H:%M %Y/%m/%d").to_i >= DateTime.strptime(Time.now.strftime("%H:%M %Y/%m/%d"), "%H:%M %Y/%m/%d").to_i %>
                                    <%= link_to movie_showtime_path(movie, showtime), class: "showtime-link" do %>
                                        <%= format_showtime_without_day(showtime) %>
                                    <% end %>
                                
                                <% end %>
                            </p>
                        </div>
                    <%else%>
                        <p>No showtimes scheduled today</p>
                        <%break%>
                    <% end %>
                <% end %>
            <% end %>
        </div>
    </div>
</div>
